
* Ŀ
*  crea i file in base alla loro struttura definita mediante vettore   
*  bidimensionale stru[4,fcount()] di CLIPPER 5                        
*  Rende .t. se file creato correttamente                              
*        .f. se non esiste la struttura di definizione del file        
*  Crea  FILE.DBF che in unione con LIST5 v.2.2 o successiva esegue un 
*        confronto tra la sturuttura salvata da STRU5 e l'attuale      
*        analizzata da LIST5.                                          
* ͵
*  06-02-2008    autocode by stru5  v.2.1          (c) andrea 1990-92  
* ;

function makedbf(flgalert)
	testcrea("PWD.DBF",flgalert)
	testcrea("PRC.DBF",flgalert)
	testcrea("REGI.DBF",flgalert)
	testcrea("MODI.DBF",flgalert)
	testcrea("PRAT.DBF",flgalert)
	testcrea("MODC.DBF",flgalert)
	testcrea("UPDATE.DBF",flgalert)
	testcrea("TIPI.DBF",flgalert)
	testcrea("SCAD.DBF",flgalert)
	testcrea("SETUP.DBF",flgalert)
	testcrea("STAT.DBF",flgalert)
	testcrea("ACCO.DBF",flgalert)
	testcrea("DARE.DBF",flgalert)
	testcrea("COMP.DBF",flgalert)
	testcrea("DUMMY.DBF",flgalert)
	testcrea("CLID.DBF",flgalert)
	testcrea("CLIE.DBF",flgalert)
	testcrea("LCK.DBF",flgalert)
	testcrea("INOUTLOG.DBF",flgalert)
	testcrea("FORN.DBF",flgalert)
	testcrea("ESTR.DBF",flgalert)
	testcrea("FATT.DBF",flgalert)
return NIL

******
*
* testcrea()- test creazione DBF
*
function testcrea ( dbfname, flgalert )
	if file(dbfname)
		if (flgalert,alert ("Skip create:"+dbfname),.f.)
	else
		if (flgalert,alert ("Create:"+dbfname),.f.)
		makefile (dbfname)
	endif
return NIL

******
*
* makefile()- crea i singoli DBF
*
static function makefile ( newdbf )

local   rval:=.t.,;
        astruct:={}

	do case
		case alltrim(upper(newdbf))="PWD"

			* struttura del file PWD.DBF
			*
			* record size =        56
			*
			* index on: pwd?.ntx
			*
			*           PWD1.NTX      index on:  (upper(pwd->utente))

			aadd (astruct, {"UTENTE"     ,"C", 25,  0} )    //  1
			aadd (astruct, {"PASSWORD"   ,"C",  8,  0} )    //  2
			aadd (astruct, {"LIVELLO"    ,"N",  1,  0} )    //  3
			aadd (astruct, {"ENABLEDEL"  ,"L",  1,  0} )    //  4
			aadd (astruct, {"ENABLEEDIT" ,"L",  1,  0} )    //  5
			aadd (astruct, {"OPERATORE"  ,"C",  4,  0} )    //  6
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    //  7
			aadd (astruct, {"DATA_MOD"   ,"D",  8,  0} )    //  8

			dbcreate("pwd.dbf", astruct)


			* Maschera del file PWD.DBF
			* UTENTE       :
			* PASSWORD     :
			* LIVELLO      :
			* ENABLEDEL    :
			* ENABLEEDIT   :
			* OPERATORE    :
			* DATA_INS     :
			* DATA_MOD     :


		case alltrim(upper(newdbf))="PRC"

			* struttura del file PRC.DBF
			*
			* record size =        37
			*
			* index on: prc?.ntx
			*

			aadd (astruct, {"PRCNAME"    ,"C", 20,  0} )    //  1
			aadd (astruct, {"PWDLEVEL"   ,"N",  1,  0} )    //  2
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    //  3
			aadd (astruct, {"DATA_UPD"   ,"D",  8,  0} )    //  4

			dbcreate("prc.dbf", astruct)


			* Maschera del file PRC.DBF
			* PRCNAME      :
			* PWDLEVEL     :
			* DATA_INS     :
			* DATA_UPD     :


		case alltrim(upper(newdbf))="REGI"

			* struttura del file REGI.DBF
			*
			* record size =       195
			*
			* index on: regi?.ntx
			*
			*           REGI3.NTX     index on:  (str(regi->erif,6)+str(regi->prif,6)+dtos(regi->data_ope))
			*           REGI1.NTX     index on:  (str(regi->prif,6)+dtos(regi->data_ope))
			*           REGI2.NTX     index on:  (dtos(regi->data_ope)+str(regi->prif,6))

			aadd (astruct, {"PRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"DATA_OPE"   ,"D",  8,  0} )    //  2
			aadd (astruct, {"DESC"       ,"C",100,  0} )    //  3
			aadd (astruct, {"OPERATORE"  ,"C",  4,  0} )    //  4
			aadd (astruct, {"DIRITTI"    ,"N", 12,  2} )    //  5
			aadd (astruct, {"SPESE"      ,"N", 12,  2} )    //  6
			aadd (astruct, {"ONORARI"    ,"N", 12,  2} )    //  7
			aadd (astruct, {"NONIMPO"    ,"N", 12,  2} )    //  8
			aadd (astruct, {"ORE"        ,"N",  5,  2} )    //  9
			aadd (astruct, {"ERIF"       ,"N",  6,  0} )    // 10
			aadd (astruct, {"NOTE"       ,"M", 10,  0} )    // 11
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    // 12

			dbcreate("regi.dbf", astruct)


			* Maschera del file REGI.DBF
			* PRIF         :
			* DATA_OPE     :
			* DESC         :
			* OPERATORE    :
			* DIRITTI      :
			* SPESE        :
			* ONORARI      :
			* NONIMPO      :
			* ORE          :
			* ERIF         :
			* NOTE         :
			* DATA_INS     :


		case alltrim(upper(newdbf))="MODI"

			* struttura del file MODI.DBF
			*
			* record size =        54
			*
			* index on: modi?.ntx
			*
			*           MODI2.NTX     index on:  (upper(modi->desc))
			*           MODI1.NTX     index on:  (modi->mrif)

			aadd (astruct, {"MRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"DESC"       ,"C", 30,  0} )    //  2
			aadd (astruct, {"OGGETTO"    ,"M", 10,  0} )    //  3
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    //  4

			dbcreate("modi.dbf", astruct)


			* Maschera del file MODI.DBF
			* MRIF         :
			* DESC         :
			* OGGETTO      :
			* DATA_INS     :


		case alltrim(upper(newdbf))="PRAT"

			* struttura del file PRAT.DBF
			*
			* record size =       404
			*
			* index on: prat?.ntx
			*
			*           PRAT6.NTX     index on:  (str(prat->crif,6)+dtos(prat->d_apertura))
			*           PRAT7.NTX     index on:  (str(prat->crif,6)+upper(prat->contropart))
			*           PRAT5.NTX     index on:  (upper(prat->contropart))
			*           PRAT8.NTX     index on:  (prat->d_sinistro)
			*           PRAT1.NTX     index on:  (prat->prif)
			*           PRAT2.NTX     index on:  (prat->d_apertura)
			*           PRAT4.NTX     index on:  (upper(prat->alfa))
			*           PRAT3.NTX     index on:  (prat->d_chiusura)

			aadd (astruct, {"PRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"CRIF"       ,"N",  6,  0} )    //  2
			aadd (astruct, {"TITOLARE"   ,"C",  2,  0} )    //  3
			aadd (astruct, {"ALFA"       ,"C",  5,  0} )    //  4
			aadd (astruct, {"CONTROPART" ,"C", 60,  0} )    //  5
			aadd (astruct, {"OGGETTO"    ,"C", 60,  0} )    //  6
			aadd (astruct, {"D_APERTURA" ,"D",  8,  0} )    //  7
			aadd (astruct, {"D_CHIUSURA" ,"D",  8,  0} )    //  8
			aadd (astruct, {"D_SINISTRO" ,"D",  8,  0} )    //  9
			aadd (astruct, {"D_PRESCRIZ" ,"D",  8,  0} )    // 10
			aadd (astruct, {"D_ARCHIVIO" ,"D",  8,  0} )    // 11
			aadd (astruct, {"MOTIVO"     ,"C", 30,  0} )    // 12
			aadd (astruct, {"FORO"       ,"C", 15,  0} )    // 13
			aadd (astruct, {"TIPO"       ,"C",  2,  0} )    // 14
			aadd (astruct, {"DETTAGLI"   ,"C", 55,  0} )    // 15
			aadd (astruct, {"PROCURATOR" ,"C", 38,  0} )    // 16
			aadd (astruct, {"LEGALE_AVV" ,"C", 38,  0} )    // 17
			aadd (astruct, {"VALORE_PRA" ,"C", 16,  0} )    // 18
			aadd (astruct, {"SCATOLONE"  ,"C", 12,  0} )    // 19
			aadd (astruct, {"NOTE"       ,"M", 10,  0} )    // 20
			aadd (astruct, {"SENSIBILI"  ,"C",  1,  0} )    // 21
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    // 22

			dbcreate("prat.dbf", astruct)


			* Maschera del file PRAT.DBF
			* PRIF         :
			* CRIF         :
			* TITOLARE     :
			* ALFA         :
			* CONTROPART   :
			* OGGETTO      :
			* D_APERTURA   :
			* D_CHIUSURA   :
			* D_SINISTRO   :
			* D_PRESCRIZ   :
			* D_ARCHIVIO   :
			* MOTIVO       :
			* FORO         :
			* TIPO         :
			* DETTAGLI     :
			* PROCURATOR   :
			* LEGALE_AVV   :
			* VALORE_PRA   :
			* SCATOLONE    :
			* NOTE         :
			* SENSIBILI    :
			* DATA_INS     :


		case alltrim(upper(newdbf))="MODC"

			* struttura del file MODC.DBF
			*
			* record size =        51
			*
			* index on: modc?.ntx
			*
			*           MODC2.NTX     index on:  (modc->trif)
			*           MODC1.NTX     index on:  (modc->mrif)

			aadd (astruct, {"MRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"NR"         ,"N",  3,  0} )    //  2
			aadd (astruct, {"TRIF"       ,"N",  6,  0} )    //  3
			aadd (astruct, {"SPESE"      ,"N",  9,  2} )    //  4
			aadd (astruct, {"DIRITTI"    ,"N",  9,  2} )    //  5
			aadd (astruct, {"NONIMPO"    ,"N",  9,  2} )    //  6
			aadd (astruct, {"ONORARI"    ,"N",  9,  2} )    //  7

			dbcreate("modc.dbf", astruct)


			* Maschera del file MODC.DBF
			* MRIF         :
			* NR           :
			* TRIF         :
			* SPESE        :
			* DIRITTI      :
			* NONIMPO      :
			* ONORARI      :


		case alltrim(upper(newdbf))="UPDATE"

			* struttura del file UPDATE.DBF
			*
			* record size =        28
			*
			* index on: update?.ntx
			*

			aadd (astruct, {"NOME"       ,"C", 20,  0} )    //  1
			aadd (astruct, {"DATA"       ,"D",  8,  0} )    //  2

			dbcreate("update.dbf", astruct)


			* Maschera del file UPDATE.DBF
			* NOME         :
			* DATA         :


		case alltrim(upper(newdbf))="TIPI"

			* struttura del file TIPI.DBF
			*
			* record size =        82
			*
			* index on: tipi?.ntx
			*
			*           TIPI2.NTX     index on:  (upper(tipi->alfa))
			*           TIPI1.NTX     index on:  (tipi->trif)

			aadd (astruct, {"TRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"ALFA"       ,"C", 10,  0} )    //  2
			aadd (astruct, {"DESC"       ,"M", 10,  0} )    //  3
			aadd (astruct, {"DIRITTI"    ,"N", 12,  2} )    //  4
			aadd (astruct, {"SPESE"      ,"N", 12,  2} )    //  5
			aadd (astruct, {"ONORARI"    ,"N", 12,  2} )    //  6
			aadd (astruct, {"NONIMPO"    ,"N", 12,  2} )    //  7
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    //  8

			dbcreate("tipi.dbf", astruct)


			* Maschera del file TIPI.DBF
			* TRIF         :
			* ALFA         :
			* DESC         :
			* DIRITTI      :
			* SPESE        :
			* ONORARI      :
			* NONIMPO      :
			* DATA_INS     :


		case alltrim(upper(newdbf))="SCAD"

			* struttura del file SCAD.DBF
			*
			* record size =       154
			*
			* index on: scad?.ntx
			*
			*           SCAD5.NTX     index on:  (dtos(scad->data))
			*           SCAD4.NTX     index on:  (upper(scad->note))
			*           SCAD6.NTX     index on:  (upper(scad->tipologia)+dtos(scad->data))
			*           SCAD1.NTX     index on:  (str(scad->prif,6)+dtos(scad->data))
			*           SCAD2.NTX     index on:  (upper(scad->conferma)+dtos(scad->data)+str(scad->prif,6))
			*           SCAD3.NTX     index on:  (upper(scad->alfa))

			aadd (astruct, {"PRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"TIPOLOGIA"  ,"C",  1,  0} )    //  2
			aadd (astruct, {"NOTE"       ,"C",120,  0} )    //  3
			aadd (astruct, {"CONFERMA"   ,"C",  1,  0} )    //  4
			aadd (astruct, {"ALFA"       ,"C",  5,  0} )    //  5
			aadd (astruct, {"DATA"       ,"D",  8,  0} )    //  6
			aadd (astruct, {"DATA_INCOM" ,"D",  8,  0} )    //  7
			aadd (astruct, {"OPERATORE"  ,"C",  4,  0} )    //  8
			aadd (astruct, {"FLG_DEL"    ,"L",  1,  0} )    //  9

			dbcreate("scad.dbf", astruct)


			* Maschera del file SCAD.DBF
			* PRIF         :
			* TIPOLOGIA    :
			* NOTE         :
			* CONFERMA     :
			* ALFA         :
			* DATA         :
			* DATA_INCOM   :
			* OPERATORE    :
			* FLG_DEL      :


		case alltrim(upper(newdbf))="SETUP"

			* struttura del file SETUP.DBF
			*
			* record size =       941
			*
			* index on: setup?.ntx
			*
			*           SETUP1.NTX    index on:  (setup->data)

			aadd (astruct, {"DATA"       ,"D",  8,  0} )    //  1
			aadd (astruct, {"M1"         ,"C", 40,  0} )    //  2
			aadd (astruct, {"M2"         ,"C", 40,  0} )    //  3
			aadd (astruct, {"M3"         ,"C", 40,  0} )    //  4
			aadd (astruct, {"M4"         ,"C", 40,  0} )    //  5
			aadd (astruct, {"M5"         ,"C", 40,  0} )    //  6
			aadd (astruct, {"M6"         ,"C", 40,  0} )    //  7
			aadd (astruct, {"M7"         ,"C", 40,  0} )    //  8
			aadd (astruct, {"M8"         ,"C", 40,  0} )    //  9
			aadd (astruct, {"M9"         ,"C", 40,  0} )    // 10
			aadd (astruct, {"LUOGO"      ,"C", 25,  0} )    // 11
			aadd (astruct, {"NUMFATT"    ,"N",  1,  0} )    // 12
			aadd (astruct, {"NUMBOZZE"   ,"N",  1,  0} )    // 13
			aadd (astruct, {"FINEBOZZA"  ,"M", 10,  0} )    // 14
			aadd (astruct, {"FINEFATT"   ,"M", 10,  0} )    // 15
			aadd (astruct, {"PIVA"       ,"C", 11,  0} )    // 16
			aadd (astruct, {"COGNOME"    ,"C", 30,  0} )    // 17
			aadd (astruct, {"NOME"       ,"C", 30,  0} )    // 18
			aadd (astruct, {"DATA_NASC"  ,"D",  8,  0} )    // 19
			aadd (astruct, {"SESSO"      ,"C",  1,  0} )    // 20
			aadd (astruct, {"CMN_NASC"   ,"C", 30,  0} )    // 21
			aadd (astruct, {"SP_NASC"    ,"C",  2,  0} )    // 22
			aadd (astruct, {"IND_LEG"    ,"C", 30,  0} )    // 23
			aadd (astruct, {"CMN_LEG"    ,"C", 30,  0} )    // 24
			aadd (astruct, {"SP_LEG"     ,"C",  2,  0} )    // 25
			aadd (astruct, {"ATTIVITA"   ,"C", 30,  0} )    // 26
			aadd (astruct, {"COD_ATTIVI" ,"C",  8,  0} )    // 27
			aadd (astruct, {"CNPAIA"     ,"C",110,  0} )    // 28
			aadd (astruct, {"FLG_GRAPH"  ,"L",  1,  0} )    // 29
			aadd (astruct, {"TESTSCAD"   ,"L",  1,  0} )    // 30
			aadd (astruct, {"MAXSCAD"    ,"N",  2,  0} )    // 31
			aadd (astruct, {"PERC_FILL"  ,"N",  2,  0} )    // 32
			aadd (astruct, {"FLG_NFATT"  ,"L",  1,  0} )    // 33
			aadd (astruct, {"NBLANK"     ,"N",  1,  0} )    // 34
			aadd (astruct, {"IVA"        ,"N",  2,  0} )    // 35
			aadd (astruct, {"RA"         ,"N",  2,  0} )    // 36
			aadd (astruct, {"CNP"        ,"N",  2,  0} )    // 37
			aadd (astruct, {"BANCA1"     ,"C", 40,  0} )    // 38
			aadd (astruct, {"BANCA2"     ,"C", 40,  0} )    // 39
			aadd (astruct, {"BANCA3"     ,"C", 40,  0} )    // 40
			aadd (astruct, {"HTML"       ,"C", 70,  0} )    // 41

			dbcreate("setup.dbf", astruct)


			* Maschera del file SETUP.DBF
			* DATA         :
			* M1           :
			* M2           :
			* M3           :
			* M4           :
			* M5           :
			* M6           :
			* M7           :
			* M8           :
			* M9           :
			* LUOGO        :
			* NUMFATT      :
			* NUMBOZZE     :
			* FINEBOZZA    :
			* FINEFATT     :
			* PIVA         :
			* COGNOME      :
			* NOME         :
			* DATA_NASC    :
			* SESSO        :
			* CMN_NASC     :
			* SP_NASC      :
			* IND_LEG      :
			* CMN_LEG      :
			* SP_LEG       :
			* ATTIVITA     :
			* COD_ATTIVI   :
			* CNPAIA       :
			* FLG_GRAPH    :
			* TESTSCAD     :
			* MAXSCAD      :
			* PERC_FILL    :
			* FLG_NFATT    :
			* NBLANK       :
			* IVA          :
			* RA           :
			* CNP          :
			* BANCA1       :
			* BANCA2       :
			* BANCA3       :
			* HTML         :


		case alltrim(upper(newdbf))="STAT"

			* struttura del file STAT.DBF
			*
			* record size =       165
			*
			* index on: stat?.ntx
			*
			*           STAT2.NTX     index on:  (upper(stat->alfa))
			*           STAT1.NTX     index on:  (stat->prif)

			aadd (astruct, {"CRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"PRIF"       ,"N",  6,  0} )    //  2
			aadd (astruct, {"ALFA"       ,"C",  5,  0} )    //  3
			aadd (astruct, {"O_DIRITTI"  ,"N", 12,  2} )    //  4
			aadd (astruct, {"O_SPESE"    ,"N", 12,  2} )    //  5
			aadd (astruct, {"O_ONORARI"  ,"N", 12,  2} )    //  6
			aadd (astruct, {"O_NONIMPO"  ,"N", 12,  2} )    //  7
			aadd (astruct, {"O_DATA_MIN" ,"D",  8,  0} )    //  8
			aadd (astruct, {"O_DATA_MAX" ,"D",  8,  0} )    //  9
			aadd (astruct, {"O_VOCI"     ,"N",  6,  0} )    // 10
			aadd (astruct, {"F_DIRITTI"  ,"N", 12,  2} )    // 11
			aadd (astruct, {"F_SPESE"    ,"N", 12,  2} )    // 12
			aadd (astruct, {"F_ONORARI"  ,"N", 12,  2} )    // 13
			aadd (astruct, {"F_NONIMPO"  ,"N", 12,  2} )    // 14
			aadd (astruct, {"F_DATA_MIN" ,"D",  8,  0} )    // 15
			aadd (astruct, {"F_DATA_MAX" ,"D",  8,  0} )    // 16
			aadd (astruct, {"F_VOCI"     ,"N",  6,  0} )    // 17
			aadd (astruct, {"DATA_UPD"   ,"D",  8,  0} )    // 18

			dbcreate("stat.dbf", astruct)


			* Maschera del file STAT.DBF
			* CRIF         :
			* PRIF         :
			* ALFA         :
			* O_DIRITTI    :
			* O_SPESE      :
			* O_ONORARI    :
			* O_NONIMPO    :
			* O_DATA_MIN   :
			* O_DATA_MAX   :
			* O_VOCI       :
			* F_DIRITTI    :
			* F_SPESE      :
			* F_ONORARI    :
			* F_NONIMPO    :
			* F_DATA_MIN   :
			* F_DATA_MAX   :
			* F_VOCI       :
			* DATA_UPD     :


		case alltrim(upper(newdbf))="ACCO"

			* struttura del file ACCO.DBF
			*
			* record size =        70
			*
			* index on: acco?.ntx
			*
			*           ACCO1.NTX     index on:  (acco->rif)

			aadd (astruct, {"RIF"        ,"N",  6,  0} )    //  1
			aadd (astruct, {"DESC"       ,"C", 40,  0} )    //  2
			aadd (astruct, {"IMPONIBILE" ,"N", 12,  2} )    //  3
			aadd (astruct, {"NONIMPO"    ,"N", 12,  2} )    //  4

			dbcreate("acco.dbf", astruct)


			* Maschera del file ACCO.DBF
			* RIF          :
			* DESC         :
			* IMPONIBILE   :
			* NONIMPO      :


		case alltrim(upper(newdbf))="DARE"

			* struttura del file DARE.DBF
			*
			* record size =       362
			*
			* index on: dare?.ntx
			*
			*           DARE4.NTX     index on:  (str(dare->frif,6)+dtos(dare->data_doc))
			*           DARE3.NTX     index on:  (dare->data_iva)
			*           DARE1.NTX     index on:  (if(empty(dare->data_paga),'1','0')+dtos(dare->data_scad))
			*           DARE2.NTX     index on:  (dare->data_scad)

			aadd (astruct, {"DESC"       ,"C", 55,  0} )    //  1
			aadd (astruct, {"FRIF"       ,"N",  6,  0} )    //  2
			aadd (astruct, {"IMPORTO"    ,"N", 12,  2} )    //  3
			aadd (astruct, {"IVA"        ,"N", 12,  2} )    //  4
			aadd (astruct, {"RA"         ,"N", 12,  2} )    //  5
			aadd (astruct, {"ACCONTO"    ,"N", 12,  2} )    //  6
			aadd (astruct, {"DATA_SCAD"  ,"D",  8,  0} )    //  7
			aadd (astruct, {"DATA_PAGA"  ,"D",  8,  0} )    //  8
			aadd (astruct, {"DATA_DOC"   ,"D",  8,  0} )    //  9
			aadd (astruct, {"DATA_IVA"   ,"D",  8,  0} )    // 10
			aadd (astruct, {"NB_ACCONTO" ,"C", 25,  0} )    // 11
			aadd (astruct, {"NR_DOC"     ,"C", 10,  0} )    // 12
			aadd (astruct, {"MODA_PAGA"  ,"C", 55,  0} )    // 13
			aadd (astruct, {"ESTR_PAGA"  ,"C", 55,  0} )    // 14
			aadd (astruct, {"PROTOCOLLO" ,"C",  8,  0} )    // 15
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    // 16
			aadd (astruct, {"NOTE"       ,"C", 60,  0} )    // 17

			dbcreate("dare.dbf", astruct)


			* Maschera del file DARE.DBF
			* DESC         :
			* FRIF         :
			* IMPORTO      :
			* IVA          :
			* RA           :
			* ACCONTO      :
			* DATA_SCAD    :
			* DATA_PAGA    :
			* DATA_DOC     :
			* DATA_IVA     :
			* NB_ACCONTO   :
			* NR_DOC       :
			* MODA_PAGA    :
			* ESTR_PAGA    :
			* PROTOCOLLO   :
			* DATA_INS     :
			* NOTE         :


		case alltrim(upper(newdbf))="COMP"

			* struttura del file COMP.DBF
			*
			* record size =        81
			*
			* index on: comp?.ntx
			*
			*           COMP1.NTX     index on:  (str(comp->rif,6)+str(comp->nr,6))

			aadd (astruct, {"RIF"        ,"N",  6,  0} )    //  1
			aadd (astruct, {"NR"         ,"N",  6,  0} )    //  2
			aadd (astruct, {"TRIF"       ,"N",  3,  0} )    //  3
			aadd (astruct, {"DESC"       ,"M", 10,  0} )    //  4
			aadd (astruct, {"DIRITTI"    ,"N", 12,  2} )    //  5
			aadd (astruct, {"SPESE"      ,"N", 12,  2} )    //  6
			aadd (astruct, {"ONORARI"    ,"N", 12,  2} )    //  7
			aadd (astruct, {"NONIMPO"    ,"N", 12,  2} )    //  8
			aadd (astruct, {"DATA"       ,"D",  8,  0} )    //  9

			dbcreate("comp.dbf", astruct)


			* Maschera del file COMP.DBF
			* RIF          :
			* NR           :
			* TRIF         :
			* DESC         :
			* DIRITTI      :
			* SPESE        :
			* ONORARI      :
			* NONIMPO      :
			* DATA         :


		case alltrim(upper(newdbf))="DUMMY"

			* struttura del file DUMMY.DBF
			*
			* record size =        66
			*
			* index on: dummy?.ntx
			*

			aadd (astruct, {"RECORD"     ,"N",  6,  0} )    //  1
			aadd (astruct, {"STRINGA"    ,"C", 60,  0} )    //  2

			dbcreate("dummy.dbf", astruct)


			* Maschera del file DUMMY.DBF
			* RECORD       :
			* STRINGA      :


		case alltrim(upper(newdbf))="CLID"

			* struttura del file CLID.DBF
			*
			* record size =       309
			*
			* index on: clid?.ntx
			*

			aadd (astruct, {"CRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"DATA_VALID" ,"D",  8,  0} )    //  2
			aadd (astruct, {"IND_LEG"    ,"C", 30,  0} )    //  3
			aadd (astruct, {"CITTA_LEG"  ,"C", 30,  0} )    //  4
			aadd (astruct, {"CAP_LEG"    ,"C",  7,  0} )    //  5
			aadd (astruct, {"SP_LEG"     ,"C", 10,  0} )    //  6
			aadd (astruct, {"NAZI_LEG"   ,"C", 10,  0} )    //  7
			aadd (astruct, {"IND_AMM"    ,"C", 30,  0} )    //  8
			aadd (astruct, {"CITTA_AMM"  ,"C", 30,  0} )    //  9
			aadd (astruct, {"CAP_AMM"    ,"C",  7,  0} )    // 10
			aadd (astruct, {"SP_AMM"     ,"C", 10,  0} )    // 11
			aadd (astruct, {"NAZI_AMM"   ,"C", 10,  0} )    // 12
			aadd (astruct, {"PIVA"       ,"C", 11,  0} )    // 13
			aadd (astruct, {"CF"         ,"C", 16,  0} )    // 14
			aadd (astruct, {"TELEFONO"   ,"C", 35,  0} )    // 15
			aadd (astruct, {"FAX"        ,"C", 35,  0} )    // 16
			aadd (astruct, {"TELEX"      ,"C", 15,  0} )    // 17
			aadd (astruct, {"DATA_COMP"  ,"D",  8,  0} )    // 18
			aadd (astruct, {"REPERTORIO" ,"C",  1,  0} )    // 19

			dbcreate("clid.dbf", astruct)


			* Maschera del file CLID.DBF
			* CRIF         :
			* DATA_VALID   :
			* IND_LEG      :
			* CITTA_LEG    :
			* CAP_LEG      :
			* SP_LEG       :
			* NAZI_LEG     :
			* IND_AMM      :
			* CITTA_AMM    :
			* CAP_AMM      :
			* SP_AMM       :
			* NAZI_AMM     :
			* PIVA         :
			* CF           :
			* TELEFONO     :
			* FAX          :
			* TELEX        :
			* DATA_COMP    :
			* REPERTORIO   :


		case alltrim(upper(newdbf))="CLIE"

			* struttura del file CLIE.DBF
			*
			* record size =       233
			*
			* index on: clie?.ntx
			*
			*           CLIE2.NTX     index on:  (clie->r_sociale)
			*           CLIE1.NTX     index on:  (clie->crif)

			aadd (astruct, {"CRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"R_SOCIALE"  ,"C", 55,  0} )    //  2
			aadd (astruct, {"TITOLO"     ,"C", 25,  0} )    //  3
			aadd (astruct, {"TIPO"       ,"C",  1,  0} )    //  4
			aadd (astruct, {"DATA_COST"  ,"D",  8,  0} )    //  5
			aadd (astruct, {"NOTE"       ,"M", 10,  0} )    //  6
			aadd (astruct, {"INTENTO"    ,"C",120,  0} )    //  7
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    //  8

			dbcreate("clie.dbf", astruct)


			* Maschera del file CLIE.DBF
			* CRIF         :
			* R_SOCIALE    :
			* TITOLO       :
			* TIPO         :
			* DATA_COST    :
			* NOTE         :
			* INTENTO      :
			* DATA_INS     :


		case alltrim(upper(newdbf))="LCK"

			* struttura del file LCK.DBF
			*
			* record size =        14
			*
			* index on: lck?.ntx
			*
			*           LCK1.NTX      index on:  (upper(lck->dbf))

			aadd (astruct, {"DBF"        ,"C",  8,  0} )    //  1
			aadd (astruct, {"N"          ,"N",  6,  0} )    //  2

			dbcreate("lck.dbf", astruct)


			* Maschera del file LCK.DBF
			* DBF          :
			* N            :


		case alltrim(upper(newdbf))="INOUTLOG"

			* struttura del file INOUTLOG.DBF
			*
			* record size =        33
			*
			* index on: inoutlog?.ntx
			*

			aadd (astruct, {"ID"         ,"C", 12,  0} )    //  1
			aadd (astruct, {"STAT"       ,"C",  1,  0} )    //  2
			aadd (astruct, {"USERNAME"   ,"C", 20,  0} )    //  3

			dbcreate("inoutlog.dbf", astruct)


			* Maschera del file INOUTLOG.DBF
			* ID           :
			* STAT         :
			* USERNAME     :


		case alltrim(upper(newdbf))="FORN"

			* struttura del file FORN.DBF
			*
			* record size =        61
			*
			* index on: forn?.ntx
			*
			*           FORN2.NTX     index on:  (upper(forn->r_sociale))
			*           FORN1.NTX     index on:  (forn->frif)

			aadd (astruct, {"FRIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"R_SOCIALE"  ,"C", 55,  0} )    //  2

			dbcreate("forn.dbf", astruct)


			* Maschera del file FORN.DBF
			* FRIF         :
			* R_SOCIALE    :


		case alltrim(upper(newdbf))="ESTR"

			* struttura del file ESTR.DBF
			*
			* record size =       159
			*
			* index on: estr?.ntx
			*
			*           ESTR2.NTX     index on:  (estr->prif)
			*           ESTR1.NTX     index on:  (estr->erif)

			aadd (astruct, {"ERIF"       ,"N",  6,  0} )    //  1
			aadd (astruct, {"PRIF"       ,"N",  6,  0} )    //  2
			aadd (astruct, {"DESC"       ,"C", 78,  0} )    //  3
			aadd (astruct, {"T_DIRITTI"  ,"N", 12,  2} )    //  4
			aadd (astruct, {"T_SPESE"    ,"N", 12,  2} )    //  5
			aadd (astruct, {"T_ONORARI"  ,"N", 12,  2} )    //  6
			aadd (astruct, {"T_NONIMPO"  ,"N", 12,  2} )    //  7
			aadd (astruct, {"T_NR"       ,"N",  5,  0} )    //  8
			aadd (astruct, {"T_ORE"      ,"N",  8,  2} )    //  9
			aadd (astruct, {"DATA_INS"   ,"D",  8,  0} )    // 10

			dbcreate("estr.dbf", astruct)


			* Maschera del file ESTR.DBF
			* ERIF         :
			* PRIF         :
			* DESC         :
			* T_DIRITTI    :
			* T_SPESE      :
			* T_ONORARI    :
			* T_NONIMPO    :
			* T_NR         :
			* T_ORE        :
			* DATA_INS     :


		case alltrim(upper(newdbf))="FATT"

			* struttura del file FATT.DBF
			*
			* record size =       163
			*
			* index on: fatt?.ntx
			*
			*           FATT5.NTX     index on:  (dtos(fatt->data_fatt)+str(fatt->nfatt,4)+dtos(fatt->data_bozza)+str(fatt->nbozza,4))
			*           FATT4.NTX     index on:  (fatt->crif)
			*           FATT1.NTX     index on:  (fatt->rif)
			*           FATT2.NTX     index on:  (dtos(fatt->data_fatt)+str(fatt->nfatt,4))
			*           FATT3.NTX     index on:  (dtos(fatt->data_bozza)+str(fatt->nbozza,4))

			aadd (astruct, {"RIF"        ,"N",  6,  0} )    //  1
			aadd (astruct, {"NFATT"      ,"N",  4,  0} )    //  2
			aadd (astruct, {"NBOZZA"     ,"N",  4,  0} )    //  3
			aadd (astruct, {"REPERTORIO" ,"C", 10,  0} )    //  4
			aadd (astruct, {"CRIF"       ,"N",  6,  0} )    //  5
			aadd (astruct, {"DATA_BOZZA" ,"D",  8,  0} )    //  6
			aadd (astruct, {"DATA_FATT"  ,"D",  8,  0} )    //  7
			aadd (astruct, {"DATA_PAGA"  ,"D",  8,  0} )    //  8
			aadd (astruct, {"PERC_IVA"   ,"N",  5,  2} )    //  9
			aadd (astruct, {"PERC_RA"    ,"N",  5,  2} )    // 10
			aadd (astruct, {"PERC_CNP"   ,"N",  5,  2} )    // 11
			aadd (astruct, {"PERC_EXTRA" ,"N",  5,  2} )    // 12
			aadd (astruct, {"FLG_RA"     ,"C",  1,  0} )    // 13
			aadd (astruct, {"OGGETTO"    ,"M", 10,  0} )    // 14
			aadd (astruct, {"NOTE"       ,"M", 10,  0} )    // 15
			aadd (astruct, {"FINEBOZZA"  ,"M", 10,  0} )    // 16
			aadd (astruct, {"FINEFATT"   ,"M", 10,  0} )    // 17
			aadd (astruct, {"INCARICO"   ,"C", 48,  0} )    // 18

			dbcreate("fatt.dbf", astruct)


			* Maschera del file FATT.DBF
			* RIF          :
			* NFATT        :
			* NBOZZA       :
			* REPERTORIO   :
			* CRIF         :
			* DATA_BOZZA   :
			* DATA_FATT    :
			* DATA_PAGA    :
			* PERC_IVA     :
			* PERC_RA      :
			* PERC_CNP     :
			* PERC_EXTRA   :
			* FLG_RA       :
			* OGGETTO      :
			* NOTE         :
			* FINEBOZZA    :
			* FINEFATT     :
			* INCARICO     :


		otherwise
			flash ("STRUTTURA INDEFINITA per DBF:"+newdbf)
			rval=.f.
	endcase
return rval

* eof autocode by stru5